package com.fastbee.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;


/**
 * 轮训任务列对象 iot_modbus_job
 *
 * @author zhuangpeng.li
 * @date 2024-11-13
 */

@ApiModel(value = "ModbusJob", description = "轮训任务列 iot_modbus_job")
@Data
@TableName("iot_modbus_job" )
public class ModbusJob implements Serializable{
    private static final long serialVersionUID=1L;

    /** 任务id */
    @TableId(value = "task_id", type = IdType.AUTO)
    @ApiModelProperty("任务id")
    private Long taskId;

    /** 任务名称 */
    @ApiModelProperty("任务名称")
    private String jobName;

    /** 子设备id */
    @ApiModelProperty("子设备id")
    private Long subDeviceId;

    /** 子设备编号 */
    @ApiModelProperty("子设备编号")
    private String subSerialNumber;

    /** 设备类型 */
    @ApiModelProperty("设备类型")
    private Integer deviceType;

    /** 指令 */
    @ApiModelProperty("指令")
    private String command;

    /** 任务id */
    @ApiModelProperty("任务id")
    private Long jobId;

    /** 状态（0正常 1暂停） */
    @ApiModelProperty("状态")
    private Integer status;

    /** 创建者 */
    @ApiModelProperty("创建者")
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 备注信息 */
    @ApiModelProperty("备注信息")
    private String remark;

    @Setter
    @TableField(exist = false)
    @ApiModelProperty("请求参数")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Map<String, Object> getParams(){
        if (params == null){
            params = new HashMap<>();
        }
        return params;
    }

}
