package com.fastbee.system.domain;

import com.fastbee.common.core.domain.PageEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Setter;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;


/**
 * 字典类型翻译对象 sys_dict_type_translate
 *
 * @author gx_ma
 * @date 2025-01-10
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysDictTypeTranslate", description = "字典类型翻译 sys_dict_type_translate")
@Data
@TableName("sys_dict_type_translate" )
public class SysDictTypeTranslate extends PageEntity implements Serializable {
    private static final long serialVersionUID=1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty("ID")
    private Long id;

    /** zh_CN */
    @ApiModelProperty("zh_CN")
    private String zhCn;

    /** en_US */
    @ApiModelProperty("en_US")
    private String enUs;

    @Setter
    @TableField(exist = false)
    @ApiModelProperty("请求参数")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Map<String, Object> getParams(){
        if (params == null){
            params = new HashMap<>();
        }
        return params;
    }

}
